%define	module	Digest-SHA
%define	name	perl-%{module}
%define	modprefix Digest
%define	version	5.43
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for SHA-1/224/256/384/512
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Digest::SHA is a complete implementation of the NIST Secure Hash Standard. It
gives Perl programmers a convenient way to calculate SHA-1, SHA-224, SHA-256,
SHA-384, and SHA-512 message digests.  The module can handle all types of
input, including partial-byte data.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/%{modprefix}
%{perl_vendorarch}/auto/%{modprefix}
%{_mandir}/*/*
%{_bindir}/shasum

%changelog
* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.43-1mdv2007.0
- New version 5.43

* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.42-1mdv2007.0
- New version 5.42

* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.41-1mdv2007.0
- New release 5.41
- HTTP source URL

* Sun May 28 2006 Scott Karns <scottk@mandriva.org> 5.39-1mdv2007.0
- New release 5.39

* Thu May 25 2006 Scott Karns <scottk@mandriva.org> 5.38-1mdv2007.0
- New release 5.38
- Removed BuildRequires perl(Module::Build)

* Wed May 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.37-1mdk
- New release 5.37

* Mon May 07 2006 Scott Karns <scottk@mandriva.org> 5.36-1mdk
- New release 5.36

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.34-1mdk
- New release 5.34
- fix optimisations

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.32-1mdk
- New release 5.32
- spec cleanup
- fix directory ownership
- better summary

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.31-1mdk
- New release 5.31

* Thu Sep 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.30-1mdk
- 5.30

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.29-1mdk
- new version
- fix sources url for rpmbuildupdate

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.28-1mdk
- 5.28

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 5.26-1mdk
- initial Mandriva package
